Package com.enonic.xp.content

## Enum CompareStatus

- java.lang.Object
- - java.lang.Enum<CompareStatus>
  - - com.enonic.xp.content.CompareStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<CompareStatus>`

      @PublicApi
      public enum CompareStatus
      extends Enum<CompareStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFLICT_PATH_EXISTS` |
    `CONFLICT_VERSION_BRANCH_DIVERGS` |
    `EQUAL` |
    `MOVED` |
    `NEW` |
    `NEW_TARGET` |
    `NEWER` |
    `OLDER` |
    `PENDING_DELETE` | Deprecated.
    `PENDING_DELETE_TARGET` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getFormattedStatus()` |
    `boolean` | `isConflict()` |
    `static CompareStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CompareStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final CompareStatus NEW

    - #### NEW_TARGET

          public static final CompareStatus NEW_TARGET

    - #### NEWER

          public static final CompareStatus NEWER

    - #### OLDER

          public static final CompareStatus OLDER

    - #### PENDING_DELETE

          @Deprecated
          public static final CompareStatus PENDING_DELETE

      Deprecated.

    - #### PENDING_DELETE_TARGET

          @Deprecated
          public static final CompareStatus PENDING_DELETE_TARGET

      Deprecated.

    - #### EQUAL

          public static final CompareStatus EQUAL

    - #### MOVED

          public static final CompareStatus MOVED

    - #### CONFLICT_PATH_EXISTS

          public static final CompareStatus CONFLICT_PATH_EXISTS

    - #### CONFLICT_VERSION_BRANCH_DIVERGS

          public static final CompareStatus CONFLICT_VERSION_BRANCH_DIVERGS

  - ### Method Detail

    - #### values

          public static CompareStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompareStatus c : CompareStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompareStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isConflict

          public boolean isConflict()

    - #### getFormattedStatus

          public String getFormattedStatus()